using System;

namespace Zlatnici
{
    class Program
    {
        static void Main(string[] args)
        {
            int n = int.Parse(Console.ReadLine());
            int[,] a = new int[n, n];
            int c = 0;
            
            for (int i = 0; i < n; i++)
            {
                string[] s = Console.ReadLine().Split();
                a[int.Parse(s[0]) - 1, int.Parse(s[1]) - 1] = 1;
            }

            for (int i = 0; i < n; i++)
            {
                int s = 0;
                for (int j = 0; j < n; j++)
                {
                    s += a[i, j];
                }

                if (s > 1)
                {
                    c += s - 1;
                }

            }

            for (int j = 0; j < n; j++)
            {
                int s = 0;
                for (int i = 0; i < n; i++)
                {
                    s += a[i, j];
                }

                if (s > 1)
                {
                    c += s - 1;
                }
            }

            Console.WriteLine(c);
        }
    }
}